diff --git a/pgadmin/schema/pgObject.cpp b/pgadmin/schema/pgObject.cpp
index 9f36df3..b7d20fc 100644
--- a/pgadmin/schema/pgObject.cpp
+++ b/pgadmin/schema/pgObject.cpp
@@ -429,6 +429,9 @@ void pgObject::CreateListColumns(ctlListView *list, const wxString &left, const
 
 void pgObject::ShowDependencies(frmMain *form, ctlListView *Dependencies, const wxString &wh)
 {
+	if (this->IsCollection())
+		return;
+
 	wxString where;
 	if (wh.IsEmpty())
 	{
diff --git a/pgadmin/schema/pgServer.cpp b/pgadmin/schema/pgServer.cpp
index 28880e7..2375fce 100755
--- a/pgadmin/schema/pgServer.cpp
+++ b/pgadmin/schema/pgServer.cpp
@@ -1263,19 +1263,11 @@ void pgServer::ShowStatistics(frmMain *form, ctlListView *statistics)
 
 void pgServer::ShowDependencies(frmMain *form, ctlListView *Dependencies, const wxString &wh)
 {
-	Dependencies->ClearAll();
-	Dependencies->AddColumn(_("Type"), 60);
-	Dependencies->AddColumn(_("Name"), 100);
-	Dependencies->AddColumn(_("Restriction"), 50);
 }
 
 
 void pgServer::ShowDependents(frmMain *form, ctlListView *referencedBy, const wxString &wh)
 {
-	referencedBy->ClearAll();
-	referencedBy->AddColumn(_("Type"), 60);
-	referencedBy->AddColumn(_("Name"), 100);
-	referencedBy->AddColumn(_("Restriction"), 50);
 }
 
 